%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname -d %{name}

Summary: Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.24.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPLv2+
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk-doc >= 0.9
Buildrequires:	libbonobo2_x-devel >= 1.107.0
BuildRequires:  atk-devel >= 1.12.0
BuildRequires:	libgail-devel >= 1.3.0
BuildRequires:	libGConf2-devel
BuildRequires:	python-devel
BuildRequires:  intltool
BuildRequires:	libxtst-devel
BuildRequires:  libxevie-devel
#gw work around libtool dependancy problem
BuildRequires:	libsm-devel

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n %{lib_name}
Summary:	GNOME Assistive Technology Service Provider Interface
Group:		System/Libraries

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Conflicts:	at-spi < 1.7.14-3mdv

%description -n %{lib_name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n %develname
Summary:	Static libraries, include files for at-spi
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Requires:   libgail-devel
Obsoletes: %mklibname -d %{name} 0

%description -n %develname
Libraries and header files allowing compilation of apps that use at-spi.

%package -n python-%name
Group: Development/Python
Summary: Python bindings for AT-SPI
Requires: %{lib_name} >= %{version}

%description -n python-%name
Python bindings allowing to use at-spi in python programs.

%prep
%setup -q

%build

%configure2_5x --enable-gtk-doc=yes

%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

%find_lang %name

mv %buildroot%_datadir/doc/%name-%version/ installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas at-spi
%preun
%preun_uninstall_gconf_schemas at-spi

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
  
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS TODO 
%{_datadir}/idl/*
%_sysconfdir/gconf/schemas/at-spi.schemas

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*
%{_libexecdir}/at-spi-registryd
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*

%files -n %develname
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/* 
%doc installed-docs/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n python-%{name}
%defattr(-,root,root)
%py_platsitedir/pyatspi/


%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.24.0-1mdv2009.0
+ Revision: 286518
- new version
- update build deps
- add gconf schema file

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.23.92-1mdv2009.0
+ Revision: 282531
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 1.23.91-1mdv2009.0
+ Revision: 278456
- new version
- drop patch

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.23.6-2mdv2009.0
+ Revision: 275123
- Patch0 (Fedora): Performance improvement for FF3 (GNOME bug #350552)
- Fix python package dependencies, ensuring AT registry is correctly pulled

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 1.23.6-1mdv2009.0
+ Revision: 263077
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.23.5-2mdv2009.0
+ Revision: 239390
- bump
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.23.3-1mdv2009.0
+ Revision: 231016
- new version
- update buildrequires
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 1.22.1-1mdv2009.0
+ Revision: 192456
- new version

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 1.22.0-2mdv2008.1
+ Revision: 189623
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2008.1
+ Revision: 183414
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 1.21.92-2mdv2008.1
+ Revision: 174650
- new version
- drop patch

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 1.21.5-2mdv2008.1
+ Revision: 168955
- Patch0 (SVN): add new API/fixes for accerciser

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2008.1
+ Revision: 151192
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.21.3-1mdv2008.1
+ Revision: 115241
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.21.1-1mdv2008.1
+ Revision: 103021
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.20.1-1mdv2008.1
+ Revision: 98505
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.0
+ Revision: 88986
- new version
- drop merged patch
- new devel name

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.19.5-2mdv2008.0
+ Revision: 58025
- Patch0 (SVN):  fix locking (GNOME bug #462412)

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 1.19.5-1mdv2008.0
+ Revision: 50884
- new version

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 1.19.3-1mdv2008.0
+ Revision: 36461
- fix docs installation
- fix python directory
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.18.1-1mdv2008.0
+ Revision: 13870
- new version


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.18.0-2mdv2007.1
+ Revision: 146571
- do not package big ChangeLog

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141740
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 1.17.2-1mdv2007.1
+ Revision: 126865
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.17.1-1mdv2007.1
+ Revision: 125766
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 118934
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.7.16-1mdv2007.1
+ Revision: 111825
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.7.15-1mdv2007.1
+ Revision: 105952
- new version

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.14-3mdv2007.1
+ Revision: 102442
- Fix biarch
- Add conflicts to ease upgrade

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.14-2mdv2007.1
+ Revision: 102260
- Patch0 (CVS): fix crash in preferences dialog

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.14-1mdv2007.1
+ Revision: 98490
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.7.13-2mdv2007.1
+ Revision: 87924
- spec fix
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1.7.12-3mdv2006.0
+ Revision: 63781
- rebuild
- fix buildrequires
- Import at-spi

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 1.7.12-1mdv2007.0
- New version 1.7.12

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.7.11-1mdv2007.0
- New release 1.7.11

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.7.10-1
- New release 1.7.10

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.9-4mdv2007.0
- Rebuild again with latest libgail

* Sat Jul 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.7.9-3
- add BuildRequires: libxtst-devel

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.9-2mdv2007.0
- Rebuild with latest libgail

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.7.9-1
- New release 1.7.9

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
- bump  deps
- New release 1.7.8

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.7.7-2mdk
- Fix  BuildRequires using perl policy

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.7-1mdk
- Release 1.7.7

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.6-3mdk
- Use mkrel

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.6.6-2mdk
- Rebuild

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.6-1mdk
- Release 1.6.6

* Thu May 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-1mdk
- New release 1.6.4

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- New release 1.6.2

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- New release 1.6.0

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk
- Enable libtoolize

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-2mdk
- Fix Buildrequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- New release 1.4.0

